# $Revision: 1.23.2.2 $, $Date: 2003/03/13 00:59:20 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Unicode
%define	pnam	String
Summary:	Unicode::String perl module
Summary(pl):	Modu perla Unicode::String
Name:		perl-Unicode-String
Version:	2.07
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-MIME-Base64 >= 2.00
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::String Perl module - String of Unicode characters
(UCS2/UTF16).

%description -l pl
Modu Perla Unicode::String - klasa cigu unikodowych znakw
(UCS2/UTF16).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Unicode/CharName.pm
%{perl_sitearch}/Unicode/String.pm
%dir %{perl_sitearch}/auto/Unicode/String
%{perl_sitearch}/auto/Unicode/String/String.bs
%attr(755,root,root) %{perl_sitearch}/auto/Unicode/String/String.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Unicode-String.spec,v $
Revision 1.23.2.2  2003/03/13 00:59:20  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.23.2.1  2003/03/12 14:18:41  ankry
- autoupdated to 2.07

Revision 1.23  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:39:08  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/07/20 15:26:07  kloczek
- release 6.

Revision 1.20  2002/07/20 15:07:00  qboosh
- new %%doc, added version to BR

Revision 1.19  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:21:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:37:15  depesz
adapterized

Revision 1.13  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:18:10  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/26 02:25:43  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/08/10 21:55:35  kloczek
- updated to 2.06.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:44  pius
- updated to 2.05

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
